# split

    array split(text, regex)

Returns an array with the text split around matches of the delimiter regular expression. If the regular expression contain capture groups, the matching parts of the delimiter will also be included in the resulting array as separate elements.

## Parameters

1. text — text to split.
2. regex — regular expression where the split occur, the delimiter, default to split up each character.

## Returns

- an array containing each part of the split text, including matching capture groups of the delimiter.